# Conditional build:
%bcond_with		gtk3	# build GTK+3, disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	Default session manager for LXDE
Name:		lxsession
Version:	0.5.2
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
# Source0-md5:	2957acccbf9ce37ef8205ec5424f8047
URL:		http://wiki.lxde.org/en/LXSession
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	intltool
BuildRequires:	libgee0.6-devel
BuildRequires:	libunique-devel
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel
BuildRequires:	vala
BuildRequires:	xorg-lib-libX11-devel
Provides:	lxpolkit = 0.1.0-2
Provides:	lxsession-edit = 0.2.0-3
Obsoletes:	lxpolkit
Obsoletes:	lxsession-edit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXSession is the default session manager of LXDE.

LXSession automatically starts a set of applications and sets up a
working desktop environment. Moreover, the session manager is able to
remember the applications in use when a user logs out and to restart
them the next time the user logs in.

%prep
%setup -q

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,ur_PK,tt_RU}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxclipboard
%attr(755,root,root) %{_bindir}/lxlock
%attr(755,root,root) %{_bindir}/lxpolkit
%attr(755,root,root) %{_bindir}/lxsession
%attr(755,root,root) %{_bindir}/lxsession-db
%attr(755,root,root) %{_bindir}/lxsession-default
%attr(755,root,root) %{_bindir}/lxsession-default-apps
%attr(755,root,root) %{_bindir}/lxsession-default-terminal
%attr(755,root,root) %{_bindir}/lxsession-edit
%attr(755,root,root) %{_bindir}/lxsession-logout
%attr(755,root,root) %{_bindir}/lxsession-xdg-autostart
%attr(755,root,root) %{_bindir}/lxsession-xsettings
%attr(755,root,root) %{_bindir}/lxsettings-daemon
/etc/xdg/autostart/lxpolkit.desktop
%{_datadir}/lxsession
%{_desktopdir}/lxsession*.desktop
%{_mandir}/man1/lxsession.1*
%{_mandir}/man1/lxsession-default.1*
%{_mandir}/man1/lxsession-default-apps.1*
%{_mandir}/man1/lxsession-default-terminal.1*
%{_mandir}/man1/lxsession-logout.1*
%{_mandir}/man1/lxclipboard.1*
%{_mandir}/man1/lxlock.1*
%changelog
* Wed Apr 20 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/lxsession.git;a=log;h=master

* Wed Apr 20 2016 Marcin Krol <hawk@tld-linux.org> a11ef11
- release 2

* Wed Jul 22 2015 Marcin Krol <hawk@tld-linux.org> d221239
- updated to 0.5.2, verbose %files

* Tue Jul 21 2015 Marcin Krol <hawk@tld-linux.org> 644c314
- from PLD

